<?cs # $Id$ ?>

<?cs if:subcount(Data.Disks.passive) == 0 ?>

	<?cs call:warning('NoDiskAvailableForMount') ?>

<?cs else ?>

	<h1><?cs var:Lang.Title.Mount ?></h1>

	<div align="center">

		<?cs call:print_form_header() ?>

		<?cs if:subcount(Data.Disks.passive) > 1 ?>
			<p><label for="device"><?cs var:Lang.Text.ChoosePartition ?></label>
				<select name="device" id="device" size="0">
					<?cs each:partition = Data.Disks.passive ?><option value="<?cs
						var:partition.device ?>"><?cs
						var:partition.name ?></option>
					<?cs /each ?>
				</select></p>
		<?cs else ?>
			<p><?cs var:html_escape(Lang.Text.ChosenPartition) ?>: <?cs
				var:Data.Disks.passive.0.name ?></p>
			<input type="hidden" name="device" value="<?cs
				var:Data.Disks.passive.0.device ?>"/>
		<?cs /if ?>
		<p><label for="crypto_passwort"><?cs var:Lang.Text.EnterCurrentCryptoPassword ?></label>
			<input type="password" id="crypto_password" name="crypto_password" size="20" maxlength="40" /></p>

			<input type="hidden" name="action" value="mount_do" />
		<button type="submit"><?cs var:Lang.Button.Mount ?></button>

		</form>
	</div>

<?cs /if ?>

