<?cs # $Id$ ?>

<?cs if:subcount(Data.Disks.active) == 0 ?>

	<?cs call:warning('NoDiskAvailableForUmount') ?>

<?cs else ?>

	<h1><?cs var:Lang.Title.Umount ?></h1>

	<div align="center">
		<?cs call:print_form_header() ?>

		<?cs if:subcount(Data.Disks.active) > 1 ?>
			<p><label for="device"><?cs var:Lang.Text.ChoosePartition ?></label>
				<select name="device" id="device" size="0">
					<?cs each:partition = Data.Disks.active ?><option value="<?cs
						var:partition.device ?>"><?cs
						var:partition.name ?></option>
					<?cs /each ?>
				</select></p>
		<?cs else ?>
			<?cs # the perl code should take care, that there is at least
				one mounted disk - otherwise it should display a warning ?>
			<p><?cs var:html_escape(Lang.Text.ChosenPartition) ?>: <?cs
				var:Data.Disks.active.0.name ?></p>
			<input type="hidden" name="device" value="<?cs
				var:Data.Disks.active.0.device ?>"/>
		<?cs /if ?>
		<input type="hidden" name="action" value="umount_do" />
		<button type="submit"><?cs var:Lang.Button.Umount ?></button>

		</form>
	</div>

<?cs /if ?>

