<?cs # $Id$ ?>

<h1><?cs var:Lang.Title.Status ?></h1>

<?cs if:subcount(Data.Disks.available) == 0 ?>
	<?cs # there are no partitions available ?>
	<?cs # this case may never be true, as it should trigger a warning before ?>
	<p>Sorry - you should have never seen this ...</p>
<?cs # elif:subcount(Data.Disks.active) == subcount(Data.Disks.available) ?>
	<?cs # all available disks are mounted ?>
	<?cs # we do not use this special condition now - or should we? ?>
<?cs # elif:subcount(Data.Disks.passive) == subcount(Data.Disks.available) ?>
	<?cs # no available disk is mounted ?>
	<?cs # we do not use this special condition now - or should we? ?>
<?cs else ?>
	<?cs # some are mounted - and some are not ... ?>
	<?cs if:subcount(Data.Disks.active) > 0 ?>
		<p><?cs var:html_escape(Lang.Text.ActivePartitions) ?>:
			<ul><?cs each:partition = Data.Disks.active ?>
				<li><a href="<?cs call:link('action','show_volume','device',partition.device,'','')
					?>"><?cs var:partition.name ?></a></li><?cs /each ?></ul><?cs /if ?>
	<?cs if:subcount(Data.Disks.passive) > 0 ?>
		<p><?cs var:html_escape(Lang.Text.PassivePartitions) ?>:
			<ul><?cs each:partition = Data.Disks.passive ?>
				<li><a href="<?cs call:link('action','show_volume','device',partition.device,'','')
					?>"><?cs var:partition.name ?></a></li><?cs /each ?></ul><?cs /if ?>
<?cs /if ?>

